QGIS Application - Bug report #14039
Trouble Installing qgis-plugin-grass, Dependency Issue
2015-12-27 05:17 PM - Richard Carpenter

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.8.5 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22052
Description

I'm trying to load QGIS and the additional programs that are recommended to install with it according to QGIS' installation instructions (
http://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu)... and some of the help I've been able to find here and elsewhere

on the internet.

I am running Linux Mint 17.2 'Rafaela’ on an Acer Aspire TimelineX 4830TG-6450, with an Intel i5 2430M chipset.

| was able to get past the unmet dependencies and key problems that commonly seem to occur with others, and was able to install 'qgis'
and 'python-qgis'. However, | can not load 'qgis-plugin-grass'. When | try install it, | get this message:
The following packages have unmet dependencies:
qgis-plugin-grass : Depends: qgis (= 1:2.8.5+20trusty) but 1:2.8.5+20trusty-ubuntugis is to be installed
Depends: qgis-provider-grass (= 1:2.8.5+20trusty) but 1:2.8.5+20trusty-ubuntugis is to be installed
Depends: grass-core (< 7) but 7.0.1-1~exp1~trusty is to be installed
E: Unable to correct problems, you have held broken packages.

Can anyone assist me with getting this installed?

Thank you!
Rich C.

History

#1 - 2015-12-27 05:21 PM - Jiirgen Fischer
- Category changed from GRASS to Build/Install
- Status changed from Open to Feedback

You might be mixing repositories. You should either have qgis.org/debian-Itr or ggis.org/ubuntugis-Itr, but not both.

#2 - 2015-12-28 03:12 AM - Giovanni Manghi

Jurgen Fischer wrote:

You might be mixing repositories. You should either have qgis.org/debian-Itr or qgis.org/ubuntugis-Itr, but not both.

Hi Jargen,

| don't have mixed repos but | also have problems installing the plugin on Ubuntu 14.04.
http://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

| use ggis.org/ubuntugis-ltr and at the moment it installs qgis 2.8.5 (1:2.8.5+20trusty-ubuntugis), but the package

qgis-plugin-grass(-common)

is "1:2.8.3+20trusty-ubuntugis" and not installable.

There is a

qgis-provider-grass

package (1:2.8.5+20trusty-ubuntugis) that is installed, but no GRASS plugin.

#3 - 2015-12-28 08:31 AM - Jiirgen Fischer

Right. For distributions with GRASS?7 there is no grass plugin in 2.8. GRASS?7 support in plugin was added in 2.12 - only the grass provider (including

browsers support) is available with GRASS7 in 2.8.

#4 - 2015-12-28 09:09 AM - Richard Carpenter

Jurgen,

I've tried installing it using 'debian-Itr' and 'ubuntugis-Itr', but not at the same time. | comment out the line of the repository | don't want with '##' in the
/etc/apt/sources.list file.

If I am interpreting your reply to Giovanni correctly, are you saying that the 'qgis-plugin-grass' is not necessary/available for QGIS 2.8.X?

I am new to using GIS software, and have a project where I'll be required to use it, so | want to make sure | have everything in order prior to starting it.

Thank you for your help!

R/S,

Rich

#5 - 2015-12-29 12:30 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed
Richard Carpenter wrote:

Jdrgen,

I've tried installing it using ‘'debian-Itr' and 'ubuntugis-itr', but not at the same time. | comment out the line of the repository | don't want with ##' in the
/etc/apt/sources.list file.

If I am interpreting your reply to Giovanni correctly, are you saying that the ‘qqgis-plugin-grass' is not necessary/available for QGIS 2.8.X?

yes, it is not available for QGIS 2.8.x. But... if GRASS is installed in your system (6.4 or 7) then you can use its tools within the Processing toolbox (that
supports both GRASS versions).
I am new to using GIS software, and have a project where I'll be required to use it, so | want to make sure | have everything in order prior to starting
it.

if you really need the GRASS plugin (so to allow you to work with data that is stored in the GRASS data model) then install QGIS 2.12.x instead of 2.8.x by

using the http://qgis.org/ubuntugis repo instead http://ggis.org/ubuntugis-lir (plus the ubuntugis one of course).
